Bug 1471916 - Cannot start gnome-terminal when no locale is set
Cannot start gnome-terminal when no locale is set
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 12:12 EDT by Georg Sauthoff
Modified: 2018-05-07 10:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Georg Sauthoff 2017-07-17 12:12:39 EDT
Description of problem:
On a fresh Fedora 26 system without any locale settings, the gnome shell terminal doesn't start. Instead, it silently fails.

Version-Release number of selected component (if applicable):
gnome-terminal-3.24.2-1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. Install Fedora 26 without setting any locale information (i.e. empty /etc/locale.conf, skip gnome shell welcome dialog with language settings).
2. Login from GDM to gnome shell
3. Start Terminal

Actual results:
Nothing happens in the graphical user interface. No terminal window appears. No error dialog appears.

The system journal has these error messages:

Jul 17 15:44:40 example.org systemd[2125]: Starting GNOME Terminal Server...
Jul 17 15:44:40 example.org dbus-daemon[2151]: [session uid=1000 pid=2151] Successfully activated service 'org.gnome.Calculator.SearchProvider'
Jul 17 15:44:40 example.org gnome-terminal-server[4813]: Non UTF-8 locale (ANSI_X3.4-1968) is not supported!
Jul 17 15:44:40 example.org systemd[2125]: gnome-terminal-server.service: Main process exited, code=exited, status=8/n/a
Jul 17 15:44:40 example.org systemd[2125]: Failed to start GNOME Terminal Server.

Expected results:
The terminal window shows up. Or an error message is displayed - i.e. an error dialg - since this is a GUI application.

Additional info:
Starting an xterm from the gnome shell launcher works. There the following environment variables are set:

GDM_LANG=C
LANG=C

Bug 1185040 is related, although it is triggered by an alternative desktop setup.
Comment 1 Fedora End Of Life 2018-05-03 04:46:01 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Debarshi Ray 2018-05-03 12:33:22 EDT
I doubt this will ever be fixed.  Is there any particular reason that you want to have an empty /etc/locale.conf?
Comment 3 Georg Sauthoff 2018-05-03 17:20:18 EDT
Well, the point of this bug report is: having an important GUI application that has the worst failure mode is quite bad.

It isn't about eliminating /etc/locale.conf.

I mean, when you are (for whatever reason, e.g. filesystem corruption, bug in the installer, accidental skipping the welcome dialog (!), ...) in the situation that you don't have the right /etc/locale.conf and gnome-terminal feels to be extravagant enough to only work with UTF-8 locales explicitly set, then the least you should expect is a properly displayed error message - e.g. in an error dialog.

As-is, it just silently fails, i.e. there is no visible feedback, it just doesn't start.

Improving this failure mode would increase the user-friendliness of the Gnome desktop, I would argue.
Comment 4 Alexandre Franke 2018-05-06 17:42:03 EDT
“Interesting” related issue (side effect?): currently there is a bug (#1574222) which makes it so that after an upgrade to F28 the language packs are not installed as they should (glibc-language-* missing amongst other things) and one cannot launch the terminal to debug the issue.
Comment 5 Yann Droneaud 2018-05-07 10:41:40 EDT
(In reply to Alexandre Franke from comment #4)
> “Interesting” related issue (side effect?): currently there is a bug
> (#1574222) which makes it so that after an upgrade to F28 the language packs
> are not installed as they should (glibc-language-* missing amongst other
> things) and one cannot launch the terminal to debug the issue.

I confirm, see bug 1570924.

Note You need to log in before you can comment on or make changes to this bug.